ConvertUTF File Reference
`#include <osg/Config>`
`#include <osgDB/Export>`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | osgDB

## Macros

#define | OSGDB_CONVERTUTF 1

## Functions

OSGDB_EXPORT std::string | osgDB::convertUTF16toUTF8 (const wchar_t *source, unsigned sourceLength)
OSGDB_EXPORT std::wstring | osgDB::convertUTF8toUTF16 (const char *source, unsigned sourceLength)
OSGDB_EXPORT std::string | osgDB::convertUTF16toUTF8 (const std::wstring &s)
OSGDB_EXPORT std::string | osgDB::convertUTF16toUTF8 (const wchar_t *s)
OSGDB_EXPORT std::wstring | osgDB::convertUTF8toUTF16 (const std::string &s)
OSGDB_EXPORT std::wstring | osgDB::convertUTF8toUTF16 (const char *s)
OSGDB_EXPORT std::string | osgDB::convertStringFromCurrentCodePageToUTF8 (const char *source, unsigned sourceLength)
OSGDB_EXPORT std::string | osgDB::convertStringFromUTF8toCurrentCodePage (const char *source, unsigned sourceLength)
OSGDB_EXPORT std::string | osgDB::convertStringFromCurrentCodePageToUTF8 (const std::string &s)
OSGDB_EXPORT std::string | osgDB::convertStringFromCurrentCodePageToUTF8 (const char *s)
OSGDB_EXPORT std::string | osgDB::convertStringFromUTF8toCurrentCodePage (const std::string &s)
OSGDB_EXPORT std::string | osgDB::convertStringFromUTF8toCurrentCodePage (const char *s)

## Macro Definition Documentation

## OSGDB_CONVERTUTF

#define OSGDB_CONVERTUTF 1